import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';

import '../clearable_text_field.dart';

class SliverSearchBar extends HookWidget {
  const SliverSearchBar({
    Key? key,
    this.onSubmitted,
    this.floating = true,
    this.forceElevated = false,
  }) : super(key: key);

  final void Function(String)? onSubmitted;

  final bool floating;
  final bool forceElevated;

  @override
  Widget build(BuildContext context) {
    final controller = useTextEditingController();

    return SliverAppBar(
      title: ClearableTextField(
        controller: controller,
        decoration: const InputDecoration(
          hintText: 'Search...',
          border: InputBorder.none,
          focusedBorder: InputBorder.none,
          errorBorder: InputBorder.none,
        ),
        textInputAction: TextInputAction.search,
        autofocus: true,
        onSubmitted: onSubmitted,
      ),
      floating: floating,
      forceElevated: forceElevated,
    );
  }
}
